Subject: RFC 4241

From: Alfred Hönes <[email-masked]>
Date: Tue, 20 Dec 2005 12:35:29 +0100 (MEZ)

Hello,

reading the recently published RFC 4241 authored by you I find an
unfortunate truncation of the text on page 4.

The 3rd paragraph of the indented, bulleted enumeration in
Section 2.3 only contains a fragment of a sentence; after studying
Figure 2 on page 6, I suspect that a Request message from the PE to
the CPE should be described here in a third bulleted item, the first
line(s) of which has/have been dropped by accident during editing:

      [ ....??? ... ]
      IA_PD option and IA_PD Prefix options for the chosen prefix(es)
      back to the PE.

Please supply the missing text.

For clarity, it might also be useful to amend the final bulleted
sentence (which becomes the fourth item by the suspected correction),

    o The PE confirms the prefix(es) in the Request message in a Reply
      message.

by explicitely naming mentioning the destination of that message.

I recommend to post an Errata Note for this issue.

There also are a few minor textual flaws, all on page 5 of RFC 4241,
which might be reflected in that Errata Note as well:

In the last paragraph of Section 2.5, the sentence:

       The CPE should return ICMPv6 Destination Unreachable message to
   a source address or silently discard the packets, when the original
   packet is destined for the unassigned prefix in the delegated prefix.

should better say:

       The CPE should return an ICMPv6 Destination Unreachable message
   to the source address or silently discard the packet when the original
   packet is destined for an unassigned prefix in the delegated prefix.

The second paragraph of Section 2.6,

   Devices connected to user network may learn a recursive DNS server
   address with the mechanism described in [RFC3736].

should better say:

   Devices connected to the user network may learn a recursive DNS
   server address with the mechanism described in [RFC3736].

And finally, the first sentence in Section 2.8,

   ICMPv6 Echo Request will be sent to the user network for connectivity
   monitoring in the service.

should better say:

   ICMPv6 Echo Requests will be sent to the user network for
   connectivity monitoring in the service.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+